This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 229739 - Failure of Seamonkey to Open *.doc file with Open Office
Failure of Seamonkey to Open *.doc file with Open Office
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: mozplugger (Show other bugs)
5
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
bzcl34nup
:
: 229740 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-02-22 20:24 EST by John E. Koontz
Modified: 2008-05-06 15:16 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 15:16:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John E. Koontz 2007-02-22 20:24:18 EST
Description of problem:

In FC5, using mozplugger 1.7.3 from seamonkey 1.0.7, viewing a *.doc file with
oowriter 2.0.2, the document fails to open and a message eventually appears 
suggesting that OpenOffice be installed.  This happens in seamonkey and 
seamonkey mail, both.  Both ooffice and oowriter work from the command line.
It appears that the problem arises from the definition of OO(), since 
substituting something else fixes the problem (mnostly).  

No problem in firefox 1.5.0.9, by the way.

Version-Release number of selected component (if applicable):

mozplugger-1.7.3-2.2.1
openoffice.org-writer-2.0.2-5.20.2
seammonkey 1.0.7 (tarball)

[root@inca ~]# uname -a
Linux inca.bitl.nist.gov 2.6.18-1.2257.fc5smp #1 SMP Fri Dec 15 16:33:51 EST 
2006 i686 i686 i386 GNU/Linux
[root@inca ~]# rpm -qa | grep seamonkey
seamonkey-chat-1.0.7-0.6.0.1.fc5
seamonkey-mail-1.0.7-0.6.0.1.fc5
seamonkey-dom-inspector-1.0.7-0.6.0.1.fc5
seamonkey-js-debugger-1.0.7-0.6.0.1.fc5
seamonkey-devel-1.0.7-0.6.0.1.fc5
seamonkey-1.0.7-0.6.0.1.fc5
[root@inca ~]# /usr/local/seamonkey/seamonkey -version
SeaMonkey 1.0.7, Copyright (c) 2003-2006 mozilla.org, build 2006121112
[root@inca ~]# rpm -q mozplugger
mozplugger-1.7.3-2.2.1
[root@inca ~]# cat /etc/fedora-release
Fedora Core release 5 (Bordeaux)


[root@inca ~]# rpm -qa | grep openoff
openoffice.org-core-2.0.2-5.20.2
openoffice.org-langpack-ga_IE-2.0.2-5.20.2
openoffice.org-writer-2.0.2-5.20.2
openoffice.org-xsltfilter-2.0.2-5.20.2
openoffice.org-math-2.0.2-5.20.2
openoffice.org-calc-2.0.2-5.20.2
openoffice.org-impress-2.0.2-5.20.2
openoffice.org-graphicfilter-2.0.2-5.20.2
openoffice.org-draw-2.0.2-5.20.2
openoffice.org-langpack-ja_JP-2.0.2-5.20.2

[root@inca ~]# rpm -q firefox
firefox-1.5.0.9-1.fc5

How reproducible:

Open a .doc file in seamonkey.

Steps to Reproduce:

Open seamonkey, go to http://www.google.com, search for nist .doc, open the 
first .doc file.  
  
Actual results:

Nothing for a long time, and then a suggestion to install Open Office.  

Expected results:

*.doc file opens in browser window.  

Additional info:

It appears that either of these steps corrects the problem:

In /etc/mozpluggerrc under case

application/x-msword:doc,dot:Microsoft Word Document
application/msword:doc,dot:Microsoft Word Document

Add

       repeat noisy swallow(oowriter): oowriter "$file"

Or, change OO() from

define([OO],[swallow(OpenOffice) fill: openoffice -nologo $1 "$file"
        swallow(OpenOffice) fill: ooffice -nologo $1 "$file"
        swallow(OpenOffice) fill: soffice -nologo $1 "$file"])

to 

define(OO,[repeat noisy swallow(oowriter) fill: oowriter "$file"
        repeat noisy swallow(openoffice) fill: openoffice "$file"
        repeat noisy swallow(ooffice) fill: ooffice "$file"
        repeat noisy swallow(soffice) fill: soffice "$file"])

I should add that this fix is not perfect.  I am not sure if it should be OO 
or [OO] in the macro, and, while this works some times, I also sometimes get a 
failure of the swallow.  In these cases I see the splash screen in the browser 
window, but oowriter brings up its own Window.  Also, sometimes I am asked to 
recover the .doc file.
Comment 1 Johan Kok 2008-01-13 06:37:07 EST
*** Bug 229740 has been marked as a duplicate of this bug. ***
Comment 2 Bug Zapper 2008-04-04 02:20:41 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 3 Bug Zapper 2008-05-06 15:16:30 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.